%
% function [a] = get(a, prop)
%
% Overrides the get method for the SMToolbox Class.
%
% i.e. pm = smtoolbox; val = get(pm, 'arg');
%
% Dr. A. I. Hanna 2005
function [val] = get(a, prop)
switch prop
    case 'image'
        val = a.image;
    case 'pts'
        val = a.pts;
    case 'primaries'
        val = a.primaries;
		case 'imageName'
				val = a.imageName;
		case 'imageDir'
				val = a.imageDir;
		case 'name'
				val = a.name;
		case 'direc'
				val = a.direc;
		case 'loops'
				val = a.loops;
		case 'closedloops'
				val = a.closedloops;
		case 'subsets'
				val = a.subsets;
		case 'labels'
				val = a.labels;
    otherwise
        error([prop, ' member variable of PointModelTemplate']);
end
return;
